



.cookies {
    position: fixed;
    left: 10px;
    top: 10px;
    box-shadow: 0 0 20px rgb(130, 130, 130);
    font-family: monospace;
    padding: 8px;
    border-radius: 10px;
    max-width: 400px;
    background-color: rgb(235, 235, 235);
}

.cookies .header  {
    display: flex;
    justify-content: space-between;
    align-items: center; 
}

.cookies .header .title {
    font-weight: bold;
    font-size: 22px;
    margin-bottom: 8px;
    box-sizing: border-box;
}

.cookies .master_close_button {
    font-size: 30px;
    cursor: pointer;
}

.cookies .introduction {
    margin-bottom: 24px;
    color: rgb(101, 101, 101);
    font-size: 14px;
}

.cookies .section {
    border-radius: 8px;
    /* border: 1px solid #818181; */
    padding: 8px;
    margin-bottom: 8px;
    /* background-color: rgb(245, 245, 245); */
    background-color: rgb(235, 235, 235);
}

.cookies .section .title_bar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 8px;
    margin-left: 8px;
}

.cookies .section .title_bar .expand_button {
    cursor: pointer;
    font-size: 20px;
}


.cookies .section .title {
    /* font-weight: bold; */
    color: rgb(81, 81, 81);
    text-transform: uppercase;
    font-size: 12px;
}


.cookies .section .options .option:first-child {
    border-radius: 8px 8px 0 0;
}

.cookies .section .options .option:last-child {
    border-radius: 0 0 8px 8px;
}


.cookies .option {
    /* border-radius: 8px; */
    border: 1px solid #d7d7d7;
    font-size: 12px;
    /* margin-bottom: 10px; */
    margin-bottom: -1px;
    box-sizing: border-box;
    padding: 8px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: white;
}


.cookies .button_row {
    display: flex;
    gap: 10px;
}

.cookies .button {
    color: white;
    padding: 10px;
    border-radius: 4px;
    flex: 1;
    text-align: center;
    cursor: pointer;
    font-size: 16px;
}

.cookies .button.accept {
    background-color: rgb(48, 172, 79);
}

.cookies .button.accept:hover {
    background-color: rgb(52, 200, 89);
}

.cookies .button.close {
    background-color: rgb(43, 45, 94);
    transition: flex-grow 0.5s;
}

.cookies .button.close:hover {
    background-color: rgb(63, 67, 162);
}

.cookies .button.close.deleted {
    flex: 0;
    overflow: hidden;
    animation: removePadding 0s 0.5s forwards;
}

@keyframes removePadding {
    to {
        padding: 0;
    }
}

/* ---- toggle --------------------------------------------- */


:root {
    --toggle-switch-width: 32px;
    --toggle-switch-height: 16px;
}

.cookies .toggle-switch {
  position: relative;
  display: inline-block;
  width: var(--toggle-switch-width);
  height: var(--toggle-switch-height);
  margin-left: 10px;
}

.cookies .toggle-switch .toggle-input {
  display: none;
}

.cookies .toggle-switch .toggle-label {
  position: absolute;
  top: 0;
  left: 0;
  width: var(--toggle-switch-width);
  height: var(--toggle-switch-height);
  background-color: #f32121;
  border-radius: calc(var(--toggle-switch-height) / 2.0);
  cursor: pointer;
  transition: background-color 0.3s;
}

.cookies .toggle-switch .toggle-label::before {
  content: "";
  position: absolute;
  width: calc(var(--toggle-switch-height) * 0.8);
  height: calc(var(--toggle-switch-height) * 0.8);
  border-radius: 50%;
  top: calc(var(--toggle-switch-height) * 0.2 / 2.0);
  left: calc(var(--toggle-switch-height) * 0.2 / 2.0);
  background-color: #fff;
  box-shadow: 0px 2px 5px 0px rgba(0, 0, 0, 0.3);
  transition: transform 0.3s;
}

.cookies .toggle-switch .toggle-input:checked + .toggle-label {
  background-color: #4CAF50;
}

.cookies .toggle-switch .toggle-input:checked + .toggle-label::before {
    transform: translateX(calc(var(--toggle-switch-width) - var(--toggle-switch-height)));
}
